/*
 * Bickley - a meta data management framework.
 * Copyright © 2008, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef __BKL_SOURCE_REMOVABLE_H__
#define __BKL_SOURCE_REMOVABLE_H__

#include <gio/gio.h>
#include "bkl-source.h"

G_BEGIN_DECLS

#define BKL_TYPE_SOURCE_REMOVABLE (bkl_source_removable_get_type())
#define BKL_SOURCE_REMOVABLE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), BKL_TYPE_SOURCE_REMOVABLE, BklSourceRemovable))
#define BKL_SOURCE_REMOVABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), BKL_TYPE_SOURCE_REMOVABLE, BklSourceRemovableClass))
#define IS_BKL_SOURCE_REMOVABLE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BKL_TYPE_SOURCE_REMOVABLE))
#define IS_BKL_SOURCE_REMOVABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BKL_TYPE_SOURCE_REMOVABLE))
#define BKL_SOURCE_REMOVABLE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), BKL_TYPE_SOURCE_REMOVABLE, BklSourceRemovableClass))

GType bkl_source_removable_get_type (void);
BklSource *bkl_source_removable_new (GMount *mount);

G_END_DECLS
#endif
